package com.caimei365.user.model;

import lombok.Data;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/2
 */
@Data
public class BaseUser {
    /**
     * 用户ID
     */
    private Integer userId;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 手机号码
     */
    private String mobile;
    /**
     * 企业绑定手机号
     */
    private String bindMobile;
    /**
     * 用户权限 0游客 1 普通用户 2 会员机构 3 供应商 4 协销 5 普通机构
     */
    private Integer userPermission;
    /**
     * 用户身份 0、个人 1、协销 2、会员机构 3、供应商 4,普通机构
     */
    private Integer userIdentity;
    /**
     * 用户状态：
     * 机构：90:已上线，91:已冻结，92:审查资料未通过,待补充资料，1:待审查资料，2:电话预约，3:已预约，20:待确认，21:待拜访，30:待员工推荐，40:已完成第一次采购
     * 供应商：90:已上线，91:已下线，92:审核不通过，3:待审核
     */
    private Integer status;
    /**
     * 密码
     */
    private String password;
    /**
     * token
     */
    private String token;

}
