package com.caimei365.user.service;

import com.caimei365.user.model.BaseUser;
import com.caimei365.user.model.JsonModel;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/8
 */
public interface LoginService {

    /**
     * 登录(用户名，密码)
     *
     * @param mobileOrEmail 手机号或邮箱
     * @param password      密码
     * @return BaseUser
     */
    JsonModel<BaseUser> passwordLogin(String mobileOrEmail, String password);
}
